%global release_name kilo
%global service neutron

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		openstack-%{service}
Version:	2015.1.4
Release:	16.1%{?dist}
Provides:	openstack-quantum = %{version}-%{release}
Obsoletes:	openstack-quantum < 2013.2-0.4.b3
Summary:	OpenStack Networking Service

Group:		Applications/System
License:	ASL 2.0
URL:		http://launchpad.net/%{service}/

Source0:	http://launchpad.net/%{service}/%{release_name}/%{version}/+download/%{service}-%{upstream_version}.tar.gz

Source1:	%{service}.logrotate
Source2:	%{service}-sudoers
Source10:	neutron-server.service
Source11:	neutron-linuxbridge-agent.service
Source12:	neutron-openvswitch-agent.service
Source14:	neutron-nec-agent.service
Source15:	neutron-dhcp-agent.service
Source16:	neutron-l3-agent.service
Source17:	neutron-metadata-agent.service
Source18:	neutron-ovs-cleanup.service
Source19:	neutron-mlnx-agent.service
Source20:	neutron-metering-agent.service
Source21:	neutron-sriov-nic-agent.service
Source22:	neutron-netns-cleanup.service
Source23:	neutron-netns-cleanup.init
Source24:	neutron-ovs-cleanup.init
Source25:	NetnsCleanup.ocf_ra
Source26:	OVSCleanup.ocf_ra
Source27:	NeutronScale.ocf_ra

Source30:	%{service}-dist.conf
Source31:	conf.README
Source33:       neutron-enable-bridge-firewall.sh
Source34:       neutron-l2-agent-sysctl.conf
# We use the legacy service to load modules because it allows to gracefully
# ignore a missing kernel module (f.e. br_netfilter on earlier kernels). It's
# essentially because .modules files are shell scripts.
Source35:       neutron-l2-agent.modules

#
# patches_base=+2
#
Patch0001: 0001-Refactor-type_gre.vxlan-tests-to-reduce-duplicate-co.patch
Patch0002: 0002-Refactor-type_tunnel-gre-vxlan-to-reduce-duplicate-c.patch
Patch0003: 0003-Fix-hostname-roaming-for-ml2-tunnel-endpoints.patch
Patch0004: 0004-Skip-bonded-ports-when-returning-vif-ports.patch
Patch0005: 0005-Support-dhcp-metadata-service-for-all-networks.patch
Patch0006: 0006-The-option-force_metadata-True-breaks-the-dhcp-agent.patch
Patch0007: 0007-Move-ucsm-migration-script-to-Juno.patch
Patch0008: 0008-Include-alembic-versions-directory-to-the-package.patch
Patch0009: 0009-Provide-a-fallback-implementation-for-backported-Tun.patch
Patch0010: 0010-Ensure-netfilter-is-enabled-for-bridges.patch
Patch0011: 0011-L3-DB-Defer-port-DB-subnet-lookups.patch
Patch0012: 0012-Don-t-update-port-with-host-id-of-None.patch
Patch0013: 0013-Replace-unnecessary-call-to-get_sync_routers.patch
Patch0014: 0014-Eliminate-extra-queries-used-to-retrieve-gw_ports.patch
Patch0015: 0015-Add-missing-interface-to-populate-subnets-method.patch
Patch0016: 0016-Fix-floatingip-status-for-an-HA-router.patch
Patch0017: 0017-Support-migrating-of-legacy-routers-to-HA-and-back.patch
Patch0018: 0018-Log-caught-exceptions-while-deleting-a-router.patch
Patch0019: 0019-Avoid-full_sync-in-l3_agent-for-router-updates.patch
Patch0020: 0020-Force-L3-agent-to-resync-router-it-could-not-configu.patch
Patch0021: 0021-Switches-metering-agent-to-stateless-iptables.patch
Patch0022: 0022-Add-logging-to-dangling-port-to-ml2-delete_subnet.patch
Patch0023: 0023-Handle-race-condition-on-subnet-delete.patch
Patch0024: 0024-Add-deadlock-retry-to-API-and-ML2-RPC-port-update.patch
Patch0025: 0025-Fix-rule-generation-for-single-and-all-host-rules.patch
Patch0026: 0026-IPtables-firewall-prevent-ICMPv6-spoofing.patch
Patch0027: 0027-Catch-DBReferenceError-in-HA-router-race-conditions.patch
Patch0028: 0028-Make-L3-HA-interface-creation-concurrency-safe.patch
Patch0029: 0029-Add-ALLOCATING-state-to-routers.patch
Patch0030: 0030-sriov-update-port-state-even-if-ip-link-fails.patch
Patch0031: 0031-SR-IOV-Fix-macvtap-assigned-vf-check-when-kernel-3.1.patch
Patch0032: 0032-Use-last-address-in-v6-allocation-pool-generation.patch
Patch0033: 0033-ML2-update-port-s-status-to-DOWN-if-its-binding-info.patch
Patch0034: 0034-Ignore-gre0-and-gretap0-devices-in-netns-cleanup-scr.patch
Patch0035: 0035-Add-unit-tests-for-ML2-DVR-port-binding-and-fix-Port.patch
Patch0036: 0036-Avoid-duplicate-ipset-processing-for-security-groups.patch
Patch0037: 0037-Break-down-_bind_port_if_needed-in-ML2.patch
Patch0038: 0038-Add-the-rebinding-chance-in-_bind_port_if_needed.patch
Patch0039: 0039-New-option-for-num_threads-for-state-change-server.patch
Patch0040: 0040-Adding-state_change_server_threads-to-l3_agent.ini.patch
Patch0041: 0041-Restart-dsnmasq-on-any-network-subnet-change.patch
Patch0042: 0042-Retry-port-status-update-on-StaleDataError.patch
Patch0043: 0043-DHCP-enhance-DHCPAgent-startup-procedure.patch
Patch0044: 0044-port-security-gracefully-handle-resources-with-no-bi.patch
Patch0045: 0045-Avoid-router-ri.process-if-initialize-fails.patch
Patch0046: 0046-Wait-2-seconds-between-gratuitous-ARP-updates-instea.patch
Patch0047: 0047-Check-for-ha-port-to-become-ACTIVE.patch
Patch0048: 0048-Avoid-trace-in-_notify_l3_agent_ha_port_update.patch
Patch0049: 0049-Set-HA-network-port-to-DOWN-when-l3-agent-starts.patch

BuildArch:	noarch

BuildRequires:	git
BuildRequires:	python2-devel
BuildRequires:	python-d2to1
BuildRequires:	python-pbr
BuildRequires:	python-setuptools
BuildRequires:	systemd

Requires:	openstack-%{service}-common = %{version}-%{release}
Requires:	openstack-utils

# dnsmasq is not a hard requirement, but is currently the only option
# when neutron-dhcp-agent is deployed.
Requires:	dnsmasq
Requires:	dnsmasq-utils

# radvd is not a hard requirement, but is currently the only option
# for IPv6 deployments.
Requires:	radvd

# conntrack is not a hard requirement, but is currently used by L3 agent
# to immediately drop connections after a floating IP is disassociated
Requires:	conntrack-tools

# keepalived is not a hard requirement, but is currently used by DVR L3
# agent
Requires:	keepalived

# Those are not hard requirements, but are used to implement firewall
# drivers.
Requires:	iptables

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Neutron is a virtual network service for Openstack. Just like
OpenStack Nova provides an API to dynamically request and configure
virtual servers, Neutron provides an API to dynamically request and
configure virtual networks. These networks connect "interfaces" from
other OpenStack services (e.g., virtual NICs from Nova VMs). The
Neutron API supports extensions to provide advanced network
capabilities (e.g., QoS, ACLs, network monitoring, etc.)


%package -n python-%{service}
Summary:	Neutron Python libraries
Group:		Applications/System

Provides:	python-quantum = %{version}-%{release}
Obsoletes:	python-quantum < 2013.2-0.4.b3

Requires:	MySQL-python
Requires:	python-alembic >= 0.6.4
Requires:	python-anyjson >= 0.3.3
Requires:	python-babel >= 1.3
Requires:	python-eventlet >= 0.15.1
Requires:	python-greenlet >= 0.3.2
Requires:	python-httplib2 >= 0.7.5
Requires:	python-iso8601 >= 0.1.9
Requires:	python-jinja2
Requires:	python-jsonrpclib
Requires:	python-keystoneclient >= 0.10.0
Requires:	python-keystonemiddleware >= 1.0.0
Requires:	python-netaddr >= 0.7.12
Requires:	python-neutronclient >= 2.3.6
Requires:	python-novaclient >= 2.18.0
Requires:	python-oslo-concurrency >= 1.8.0
Requires:	python-oslo-config >= 2:1.9.3
Requires:	python-oslo-context >= 0.2.0
Requires:	python-oslo-db >= 1.7.0
Requires:	python-oslo-i18n >= 1.5.0
Requires:	python-oslo-log >= 1.0.0
Requires:	python-oslo-messaging >= 1.8.0
Requires:	python-oslo-middleware >= 1.0.0
Requires:	python-oslo-rootwrap >= 1.6.0
Requires:	python-oslo-serialization >= 1.4.0
Requires:	python-oslo-utils >= 1.4.0
Requires:	python-paste
Requires:	python-paste-deploy >= 1.5.0
Requires:	python-pbr
Requires:	python-qpid
Requires:	python-requests >= 1.2.1
Requires:	python-routes >= 1.12.3
Requires:	python-sqlalchemy >= 0.9.7
Requires:	python-stevedore >= 1.0.0
Requires:	python-six >= 1.7.0
Requires:	python-webob >= 1.2.3
Requires:	sudo
Requires:	python-retrying



%description -n python-%{service}
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron Python library.


%package -n python-%{service}-tests
Summary:	Neutron tests
Group:		Applications/System

Requires:	openstack-%{service} = %{version}-%{release}


%description -n python-%{service}-tests
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains Neutron test files.


%package common
Summary:	Neutron common files
Group:		Applications/System

Requires(pre):	shadow-utils
Requires:	python-%{service} = %{version}-%{release}


%description common
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains Neutron common files.


%package bigswitch
Summary:	Neutron Big Switch plugin
Group:		Applications/System

Provides:	openstack-quantum-bigswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-bigswitch < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description bigswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using the FloodLight Openflow Controller or the Big Switch
Networks Controller.


%package brocade
Summary:	Neutron Brocade plugin
Group:		Applications/System

Provides:	openstack-quantum-brocade = %{version}-%{release}
Obsoletes:	openstack-quantum-brocade < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}
Requires:	python-ncclient


%description brocade
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Brocade VCS switches running NOS.


%package cisco
Summary:	Neutron Cisco plugin
Group:		Applications/System

Provides:	openstack-quantum-cisco = %{version}-%{release}
Obsoletes:	openstack-quantum-cisco < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}
Requires:	python-ncclient


%description cisco
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Cisco UCS and Nexus.


%package embrane
Summary:	Neutron Embrane plugin
Group:		Applications/System

Requires:	openstack-%{service}-common = %{version}-%{release}


%description embrane
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
L3-L7 network services using Embrane's heleos platform.


%package ibm
Summary:	Neutron IBM plugin
Group:		Applications/System

Requires:	openstack-%{service}-common = %{version}-%{release}


%description ibm
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks from IBM.


%package linuxbridge
Summary:	Neutron linuxbridge plugin
Group:		Applications/System

Provides:	openstack-quantum-linuxbridge = %{version}-%{release}
Obsoletes:	openstack-quantum-linuxbridge < 2013.2-0.4.b3

Requires:	bridge-utils
Requires:	ipset
Requires:	iptables
# kmod is needed to get access to /usr/sbin/modprobe needed by
# neutron-enable-bridge-firewall.sh triggered by the service unit file
Requires:	kmod
Requires:	openstack-%{service}-common = %{version}-%{release}


%description linuxbridge
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks as VLANs using Linux bridging.


%package mellanox
Summary:	Neutron Mellanox plugin
Group:		Applications/System

Provides:	openstack-quantum-mellanox = %{version}-%{release}
Obsoletes:	openstack-quantum-mellanox < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description mellanox
This plugin implements Neutron v2 APIs with support for Mellanox embedded
switch functionality as part of the VPI (Ethernet/InfiniBand) HCA.


%package metaplugin
Summary:	Neutron meta plugin
Group:		Applications/System

Provides:	openstack-quantum-metaplugin = %{version}-%{release}
Obsoletes:	openstack-quantum-metaplugin < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description metaplugin
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using multiple other Neutron plugins.


%package midonet
Summary:	Neutron MidoNet plugin
Group:		Applications/System

Provides:	openstack-quantum-midonet = %{version}-%{release}
Obsoletes:	openstack-quantum-midonet < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description midonet
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using MidoNet from Midokura.


%package ml2
Summary:	Neutron ML2 plugin
Group:		Applications/System

Provides:	openstack-quantum-ml2 = %{version}-%{release}
Obsoletes:	openstack-quantum-ml2 < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}
# needed for brocade and cisco drivers
Requires:	python-ncclient


%description ml2
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains a Neutron plugin that allows the use of drivers
to support separately extensible sets of network types and the mechanisms
for accessing those types.


%package nec
Summary:	Neutron NEC plugin
Group:		Applications/System

Provides:	openstack-quantum-nec = %{version}-%{release}
Obsoletes:	openstack-quantum-nec < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description nec
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using the NEC OpenFlow controller.


%package nuage
Summary:	Neutron Nuage plugin
Group:		Applications/System

Requires:	openstack-%{service}-common = %{version}-%{release}


%description nuage
This plugin implements Neutron v2 APIs with support for Nuage Networks
Virtual Service Platform (VSP).


%package ofagent
Summary:	Neutron ofagent plugin from ryu project
Group:		Applications/system

Requires:	openstack-%{service}-common = %{version}-%{release}


%description ofagent
This plugin implements Neutron v2 APIs with support for the ryu ofagent
plugin.


%package oneconvergence-nvsd
Summary:	Neutron One Convergence NVSD plugin
Group:		Applications/System

Requires:	openstack-%{service}-common = %{version}-%{release}


%description oneconvergence-nvsd
Neutron provides an API to dynamnically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using One Convergence NVSD


%package opencontrail
Summary:	Neutron OpenContrail plugin
Group:		Applications/system

Requires:	openstack-%{service}-common = %{version}-%{release}


%description opencontrail
This plugin implements Neutron v2 APIs with support for the OpenContrail
plugin.


%package openvswitch
Summary:	Neutron openvswitch plugin
Group:		Applications/System

Provides:	openstack-quantum-openvswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-openvswitch < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}
# We require openvswitch when using vsctl to access ovsdb;
# but if we use native access, then we just need python bindings.
# since we don't know what users actually use, we depend on both.
Requires:	ipset
Requires:	iptables
Requires:	openvswitch
Requires:       python-openvswitch
# kmod is needed to get access to /usr/sbin/modprobe needed by
# neutron-enable-bridge-firewall.sh triggered by the service unit file
Requires:       kmod


%description openvswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Open vSwitch.


%package ovsvapp
Summary:	Neutron OVSvApp vSphere plugin
Group:		Applications/System

Requires:	openstack-%{service}-common = %{version}-%{release}


%description ovsvapp
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using OVSvApp vSphere L2 agent.


%package plumgrid
Summary:	Neutron PLUMgrid plugin
Group:		Applications/System

Provides:	openstack-quantum-plumgrid = %{version}-%{release}
Obsoletes:	openstack-quantum-plumgrid < 2013.2-0.4.b3

Requires:	openstack-%{service}-common = %{version}-%{release}


%description plumgrid
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using the PLUMgrid platform.


%package vmware
Summary:	Neutron Nicira plugin
Group:		Applications/System

Provides:	openstack-%{service}-nicira = %{version}-%{release}
Obsoletes:	openstack-%{service}-nicira < 2014.1-0.5.b2

Requires:	openstack-%{service}-common = %{version}-%{release}
Requires:	python-networking-vmware-nsx


%description vmware
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using VMware NSX.


%package metering-agent
Summary:	Neutron bandwidth metering agent
Group:		Applications/System

Requires:	iptables
Requires:	openstack-%{service}-common = %{version}-%{release}


%description metering-agent
Neutron provides an API to measure bandwidth utilization

This package contains the Neutron agent responsible for generating bandwidth
utilization notifications.


%package sriov-nic-agent
Summary:	Neutron SR-IOV NIC agent
Group:		Applications/system

Requires:	openstack-%{service}-common = %{version}-%{release}


%description sriov-nic-agent
Neutron allows to run virtual instances using SR-IOV NIC hardware

This package contains the Neutron agent to support advanced features of
SR-IOV network cards.


%prep
%autosetup -n %{service}-%{upstream_version} -S git

find %{service} -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

# Let's handle dependencies ourseleves
rm -f requirements.txt

# Kill egg-info in order to generate new SOURCES.txt
rm -rf neutron.egg-info


%build
%{__python2} setup.py build

# Loop through values in neutron-dist.conf and make sure that the values
# are substituted into the neutron.conf as comments. Some of these values
# will have been uncommented as a way of upstream setting defaults outside
# of the code. For notification_driver, there are commented examples
# above uncommented settings, so this specifically skips those comments
# and instead comments out the actual settings and substitutes the
# correct default values.
while read name eq value; do
  test "$name" && test "$value" || continue
  if [ "$name" = "notification_driver" ]; then
    sed -ri "0,/^$name *=/{s!^$name *=.*!# $name = $value!}" etc/%{service}.conf
  else
    sed -ri "0,/^(#)? *$name *=/{s!^(#)? *$name *=.*!# $name = $value!}" etc/%{service}.conf
  fi
done < %{SOURCE30}

%install
export PBR_VERSION=%{version}-%{release}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python2_sitelib}/bin
rm -rf %{buildroot}%{python2_sitelib}/doc
rm -rf %{buildroot}%{python2_sitelib}/tools
rm %{buildroot}/usr/etc/init.d/neutron-server

# Move rootwrap files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{service}/rootwrap
mv %{buildroot}/usr/etc/%{service}/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{service}/rootwrap

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}
mv %{buildroot}/usr/etc/%{service}/* %{buildroot}%{_sysconfdir}/%{service}
mv %{buildroot}%{_sysconfdir}/%{service}/api-paste.ini %{buildroot}%{_datadir}/%{service}/api-paste.ini
chmod 640  %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini

# Install logrotate
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-%{service}

# Install sudoers
install -p -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/%{service}

# Install systemd units
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/neutron-server.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/neutron-linuxbridge-agent.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/neutron-openvswitch-agent.service
install -p -D -m 644 %{SOURCE14} %{buildroot}%{_unitdir}/neutron-nec-agent.service
install -p -D -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/neutron-dhcp-agent.service
install -p -D -m 644 %{SOURCE16} %{buildroot}%{_unitdir}/neutron-l3-agent.service
install -p -D -m 644 %{SOURCE17} %{buildroot}%{_unitdir}/neutron-metadata-agent.service
install -p -D -m 644 %{SOURCE18} %{buildroot}%{_unitdir}/neutron-ovs-cleanup.service
install -p -D -m 644 %{SOURCE19} %{buildroot}%{_unitdir}/neutron-mlnx-agent.service
install -p -D -m 644 %{SOURCE20} %{buildroot}%{_unitdir}/neutron-metering-agent.service
install -p -D -m 644 %{SOURCE21} %{buildroot}%{_unitdir}/neutron-sriov-nic-agent.service
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_unitdir}/neutron-netns-cleanup.service

# Install helper scripts
install -p -D -m 755 %{SOURCE33} %{buildroot}%{_bindir}/neutron-enable-bridge-firewall.sh

# Install scripts for pacemaker support
install -p -D -m 755 %{SOURCE23} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
install -p -D -m 755 %{SOURCE24} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
install -p -D -m 755 %{SOURCE25} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
install -p -D -m 755 %{SOURCE26} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
install -p -D -m 755 %{SOURCE27} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale

# Install sysctl and modprobe config files to enable bridge firewalling
# NOTE(ihrachys) we effectively duplicate same settings for each affected l2
# agent. This can be revisited later.
install -p -D -m 644 %{SOURCE34} %{buildroot}%{_sysctldir}/99-neutron-openvswitch-agent.conf
install -p -D -m 644 %{SOURCE34} %{buildroot}%{_sysctldir}/99-neutron-linuxbridge-agent.conf
install -p -D -m 755 %{SOURCE35} %{buildroot}%{_sysconfdir}/sysconfig/modules/neutron-openvswitch-agent.modules
install -p -D -m 755 %{SOURCE35} %{buildroot}%{_sysconfdir}/sysconfig/modules/neutron-linuxbridge-agent.modules

# Install README file that describes how to configure services with custom configuration files
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_sysconfdir}/%{service}/conf.d/README

# Setup directories
install -d -m 755 %{buildroot}%{_datadir}/%{service}
install -d -m 755 %{buildroot}%{_sharedstatedir}/%{service}
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{service}
install -d -m 755 %{buildroot}%{_localstatedir}/run/%{service}

# Install dist conf
install -p -D -m 640 %{SOURCE30} %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf

# Create and populate configuration directory for L3 agent that is not accessible for user modification
mkdir -p %{buildroot}%{_datadir}/%{service}/l3_agent
ln -s %{_sysconfdir}/%{service}/l3_agent.ini %{buildroot}%{_datadir}/%{service}/l3_agent/l3_agent.conf

# Create dist configuration directory for neutron-server (may be filled by advanced services)
mkdir -p %{buildroot}%{_datadir}/%{service}/server

# Create configuration directories for all services that can be populated by users with custom *.conf files
mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/common
for service in server ovs-cleanup netns-cleanup; do
    mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/%{service}-$service
done
for service in linuxbridge openvswitch nec dhcp l3 metadata mlnx metering sriov-nic; do
    mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/%{service}-$service-agent
done

# Kill hyperv agent since it's of no use for Linux
rm %{buildroot}/%{_bindir}/neutron-hyperv-agent


%pre common
getent group %{service} >/dev/null || groupadd -r %{service}
getent passwd %{service} >/dev/null || \
    useradd -r -g %{service} -d %{_sharedstatedir}/%{service} -s /sbin/nologin \
    -c "OpenStack Neutron Daemons" %{service}
exit 0


%post
%systemd_post neutron-dhcp-agent.service
%systemd_post neutron-l3-agent.service
%systemd_post neutron-metadata-agent.service
%systemd_post neutron-server.service
%systemd_post neutron-netns-cleanup.service
%systemd_post neutron-ovs-cleanup.service


%preun
%systemd_preun neutron-dhcp-agent.service
%systemd_preun neutron-l3-agent.service
%systemd_preun neutron-metadata-agent.service
%systemd_preun neutron-server.service
%systemd_preun neutron-netns-cleanup.service
%systemd_preun neutron-ovs-cleanup.service


%postun
%systemd_postun_with_restart neutron-dhcp-agent.service
%systemd_postun_with_restart neutron-l3-agent.service
%systemd_postun_with_restart neutron-metadata-agent.service
%systemd_postun_with_restart neutron-server.service


%preun linuxbridge
%systemd_preun neutron-linuxbridge-agent.service


%postun linuxbridge
%systemd_postun_with_restart neutron-linuxbridge-agent.service


%preun mellanox
%systemd_preun neutron-mlnx-agent.service


%postun mellanox
%systemd_postun_with_restart neutron-mlnx-agent.service


%preun nec
%systemd_preun neutron-nec-agent.service


%postun nec
%systemd_postun_with_restart neutron-nec-agent.service


%preun openvswitch
%systemd_preun neutron-openvswitch-agent.service


%postun openvswitch
%systemd_postun_with_restart neutron-openvswitch-agent.service


%preun metering-agent
%systemd_preun neutron-metering-agent.service


%postun metering-agent
%systemd_postun_with_restart neutron-metering-agent.service


%preun sriov-nic-agent
%systemd_preun neutron-sriov-nic-agent.service


%postun sriov-nic-agent
%systemd_postun_with_restart neutron-sriov-nic-agent.service


%files
%license LICENSE
%{_bindir}/neutron-db-manage
%{_bindir}/neutron-debug
%{_bindir}/neutron-dhcp-agent
%{_bindir}/neutron-keepalived-state-change
%{_bindir}/neutron-l3-agent
%{_bindir}/neutron-metadata-agent
%{_bindir}/neutron-netns-cleanup
%{_bindir}/neutron-ns-metadata-proxy
%{_bindir}/neutron-ovs-cleanup
%{_bindir}/neutron-sanity-check
%{_bindir}/neutron-server
%{_bindir}/neutron-usage-audit
%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale
%{_unitdir}/neutron-dhcp-agent.service
%{_unitdir}/neutron-l3-agent.service
%{_unitdir}/neutron-metadata-agent.service
%{_unitdir}/neutron-server.service
%{_unitdir}/neutron-netns-cleanup.service
%{_unitdir}/neutron-ovs-cleanup.service
%attr(-, root, %{service}) %{_datadir}/%{service}/api-paste.ini
%dir %{_datadir}/%{service}/l3_agent
%dir %{_datadir}/%{service}/server
%{_datadir}/%{service}/l3_agent/*.conf
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/dhcp_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/l3_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/metadata_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/policy.json
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-dhcp-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-l3-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-metadata-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-server
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-netns-cleanup
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-ovs-cleanup


%files -n python-%{service}-tests
%license LICENSE
%{python2_sitelib}/%{service}/tests


%files -n python-%{service}
%license LICENSE
%{python2_sitelib}/%{service}
%{python2_sitelib}/%{service}-*.egg-info
%exclude %{python2_sitelib}/%{service}/tests


%files common
%license LICENSE
%doc README.rst
# though this script is not exactly needed on all nodes but for ovs and
# linuxbridge agents only, it's probably good enough to put it here
%{_bindir}/neutron-enable-bridge-firewall.sh
%{_bindir}/neutron-rootwrap
%{_bindir}/neutron-rootwrap-daemon
%{_bindir}/neutron-rootwrap-xen-dom0
%dir %{_sysconfdir}/%{service}
%dir %{_sysconfdir}/%{service}/conf.d
%{_sysconfdir}/%{service}/conf.d/README
%dir %{_sysconfdir}/%{service}/conf.d
%dir %{_sysconfdir}/%{service}/conf.d/common
%dir %{_sysconfdir}/%{service}/plugins
%attr(-, root, %{service}) %{_datadir}/%{service}/%{service}-dist.conf
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/%{service}.conf
%config(noreplace) %{_sysconfdir}/%{service}/rootwrap.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%{_sysconfdir}/sudoers.d/%{service}
%dir %attr(0755, %{service}, %{service}) %{_sharedstatedir}/%{service}
%dir %attr(0750, %{service}, %{service}) %{_localstatedir}/log/%{service}
%dir %{_datarootdir}/%{service}
%dir %{_datarootdir}/%{service}/rootwrap
%{_datarootdir}/%{service}/rootwrap/debug.filters
%{_datarootdir}/%{service}/rootwrap/dhcp.filters
%{_datarootdir}/%{service}/rootwrap/ipset-firewall.filters
%{_datarootdir}/%{service}/rootwrap/iptables-firewall.filters
%{_datarootdir}/%{service}/rootwrap/l3.filters


%files bigswitch
%license LICENSE
%{_bindir}/neutron-restproxy-agent
%dir %{_sysconfdir}/%{service}/plugins/bigswitch
%{_sysconfdir}/%{service}/plugins/bigswitch/ssl
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/bigswitch/*.ini


%files brocade
%license LICENSE
%doc %{service}/plugins/brocade/README.md
%dir %{_sysconfdir}/%{service}/plugins/brocade
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/brocade/*.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/brocade/vyatta/*.ini


%files cisco
%license LICENSE
%doc %{service}/plugins/cisco/README
%dir %{_sysconfdir}/%{service}/plugins/cisco
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/cisco/*.ini
%{_bindir}/neutron-cisco-apic-host-agent
%{_bindir}/neutron-cisco-apic-service-agent


%files embrane
%license LICENSE
%doc %{service}/plugins/embrane/README
%dir %{_sysconfdir}/%{service}/plugins/embrane
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/embrane/*.ini


%files ibm
%license LICENSE
%{_bindir}/neutron-ibm-agent
%doc %{service}/plugins/ibm/README
%dir %{_sysconfdir}/%{service}/plugins/ibm
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ibm/*.ini


%files linuxbridge
%license LICENSE
%doc %{service}/plugins/linuxbridge/README
%{_bindir}/neutron-linuxbridge-agent
%{_unitdir}/neutron-linuxbridge-agent.service
%{_datarootdir}/%{service}/rootwrap/linuxbridge-plugin.filters
%dir %{_sysconfdir}/%{service}/plugins/linuxbridge
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/linuxbridge/*.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-linuxbridge-agent
%{_sysctldir}/99-neutron-linuxbridge-agent.conf
%{_sysconfdir}/sysconfig/modules/neutron-linuxbridge-agent.modules


%files mellanox
%license LICENSE
%doc %{service}/plugins/ml2/drivers/mlnx/README
%{_bindir}/neutron-mlnx-agent
%{_unitdir}/neutron-mlnx-agent.service
%dir %{_sysconfdir}/%{service}/plugins/mlnx
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/mlnx/*.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-mlnx-agent


%files metaplugin
%license LICENSE
%doc %{service}/plugins/metaplugin/README
%dir %{_sysconfdir}/%{service}/plugins/metaplugin
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/metaplugin/*.ini


%files midonet
%license LICENSE
#%doc %{service}/plugins/midonet/README
%dir %{_sysconfdir}/%{service}/plugins/midonet
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/midonet/*.ini


%files ml2
%license LICENSE
%doc %{service}/plugins/ml2/README
%dir %{_sysconfdir}/%{service}/plugins/ml2
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ml2/*.ini


%files nec
%license LICENSE
%doc %{service}/plugins/nec/README
%{_bindir}/neutron-nec-agent
%{_unitdir}/neutron-nec-agent.service
%{_datarootdir}/%{service}/rootwrap/nec-plugin.filters
%dir %{_sysconfdir}/%{service}/plugins/nec
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/nec/*.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-nec-agent


%files nuage
%license LICENSE
%{python2_sitelib}/%{service}/plugins/nuage
%dir %{_sysconfdir}/%{service}/plugins/nuage
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/nuage/*.ini


%files ofagent
%license LICENSE


%files oneconvergence-nvsd
%license LICENSE
%doc %{service}/plugins/oneconvergence/README
%dir %{_sysconfdir}/%{service}/plugins/oneconvergence
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/oneconvergence/*.ini
%{_bindir}/neutron-nvsd-agent


%files opencontrail
%license LICENSE
#%doc %{service}/plugins/opencontrail/README
%dir %{_sysconfdir}/%{service}/plugins/opencontrail
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/opencontrail/*.ini


%files openvswitch
%license LICENSE
%doc %{service}/plugins/openvswitch/README
%{_bindir}/neutron-openvswitch-agent
%{_unitdir}/neutron-openvswitch-agent.service
%{_datarootdir}/%{service}/rootwrap/openvswitch-plugin.filters
%dir %{_sysconfdir}/%{service}/plugins/openvswitch
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/openvswitch/*.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-openvswitch-agent
%{_sysctldir}/99-neutron-openvswitch-agent.conf
%{_sysconfdir}/sysconfig/modules/neutron-openvswitch-agent.modules


%files ovsvapp
%license LICENSE
%{_bindir}/neutron-ovsvapp-agent
# TODO: add a systemd unit file
%dir %{_sysconfdir}/%{service}/plugins/ovsvapp
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ovsvapp/*.ini


%files plumgrid
%license LICENSE
%doc %{service}/plugins/plumgrid/README
%dir %{_sysconfdir}/%{service}/plugins/plumgrid
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/plumgrid/*.ini


%files vmware
%license LICENSE
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%files metering-agent
%license LICENSE
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/metering_agent.ini
%{_unitdir}/neutron-metering-agent.service
%{_bindir}/neutron-metering-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-metering-agent


%files sriov-nic-agent
%license LICENSE
%{_unitdir}/neutron-sriov-nic-agent.service
%{_bindir}/neutron-sriov-nic-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-sriov-nic-agent


%changelog
* Fri Jul 21 2017 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.4-16.1
- Enable bridge firewalling on platform level, rhbz#1474114

* Tue Jun 20 2017 Venkata Anil Kommaddi <vkommadi@redhat.com> 2015.1.4-16
- Set HA network port to DOWN when l3 agent starts (rhbz#1433726)
- Avoid trace in _notify_l3_agent_ha_port_update (rhbz#1433726)
- Check for ha port to become ACTIVE (rhbz#1433726)
- Wait 2 seconds between gratuitous ARP updates instead of 1 second (rhbz#1452887)

* Tue Jun 13 2017 Venkata Anil Kommaddi <vkommadi@redhat.com> 2015.1.4-15
- Avoid router ri.process if initialize() fails (rhbz#1404534)

* Mon May 15 2017 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.4-14
- port security: gracefully handle resources with no bindings (rhbz#1391613)

* Thu Feb 16 2017 Daniel Alvarez <dalvarez@redhat.com> 2015.1.4-13
- DHCP: enhance DHCPAgent startup procedure (rhbz#1339364)

* Thu Jan 05 2017 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.4-12
- Retry port status update on StaleDataError (rhbz#1369722)

* Mon Nov 21 2016 Daniel Alvarez <dalvarez@redhat.com> 2015.1.4-11
- Restart dsnmasq on any network subnet change (rhbz#1393175)

* Mon Nov 21 2016 Venkata Anil Kommaddi <vkommadi@redhat.com> 2015.1.4-10
- Adding state_change_server_threads to l3_agent.ini
- New option for num_threads for state change server, rhbz#1315114

* Wed Nov 16 2016 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.4-9
- Add the rebinding chance in _bind_port_if_needed, rhbz#1240446
- Break down _bind_port_if_needed in ML2, rhbz#1240446
- Avoid duplicate ipset processing for security groups, rhbz#1310745
- Add unit tests for ML2 DVR port binding and fix PortContext inconsistencies, rhbz#1240446

* Tue Oct 11 2016 Jakub Libosvar <libosvar@redhat.com> 2015.1.4-8
- Ignore gre0 and gretap0 devices in netns cleanup script, rhbz#1382723

* Thu Oct 6 2016 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.4-7
- Load br_netfilter if present for iptables aware agents, rhbz#1382414

* Thu Oct 06 2016 Bernard Cafarelli <bcafarel@redhat.com> 2015.1.4-6
- ML2: update port's status to DOWN if its binding info has changed, rhbz#1328504

* Mon Sep 26 2016 Hynek Mlnarik <hmlnarik@redhat.com> 2015.1.4-5
- Use last address in v6 allocation pool generation, rhbz#1378888

* Tue Sep 20 2016 Hynek Mlnarik <hmlnarik@redhat.com> 2015.1.4-4
- SR-IOV: Fix macvtap assigned vf check when kernel < 3.13, rhbz#1289136
- sriov: update port state even if ip link fails, rhbz#1289136

* Thu Aug 11 2016 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.4-3
- Add ALLOCATING state to routers, rhbz#1281254

* Fri Jul 01 2016 Hynek Mlnarik <hmlnarik@redhat.com> 2015.1.4-2
- IPtables firewall prevent ICMPv6 spoofing, rhbz#1350657
- Fix rule generation for single and all host rules, rhbz#1350657

* Tue Jun 28 2016 Nir Magnezi <nmagnezi@redhat.com> 2015.1.4-1
- Update to 2015.1.4, rhbz#1350400

* Mon Jun 27 2016 Hynek Mlnarik <hmlnarik@redhat.com> 2015.1.2-17
- Add deadlock retry to API and ML2 RPC port update, rhbz#1348998
- Handle race condition on subnet-delete, rhbz#1348998
- Add logging to dangling port to ml2 delete_subnet, rhbz#1348998

* Fri Jun 24 2016 Venkata Anil <vkommadi@redhat.com> 2015.1.2-16
- Ensure that tunnels are fully reset on ovs restart, rhbz#1328504
- Switches metering agent to stateless iptables, rhbz#1347428

* Thu Jun 02 2016 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.2-15
- Require openvswitch service when ovs-agent starts, rhbz#1341469

* Sun May 08 2016 Nir Magnezi <nmagnezi@redhat.com> 2015.1.2-14
- openstack-neutron-common should require shadow-utils, rhbz#1328783
- Neutron ovs, linuxbridge and metering agents should require ipset and iptables, rhbz#1328757

* Wed Apr 06 2016 Hynek Mlnarik <hmlnarik@redhat.com> 2015.1.2-13
- Refactor and fix dummy process fixture, rhbz#1316283
- Remove obsolete keepalived PID files before start, rhbz#1316283

* Wed Apr 06 2016 John Schwarz <jschwarz@redhat.com> 2015.1.2-12
- Force L3 agent to resync router it could not configure, rhbz#1322348
- Avoid full_sync in l3_agent for router updates, rhbz#1322348
- Log caught exceptions while deleting a router, rhbz#1322348
- tests: disable process monitor before managers, rhbz#1252690

* Fri Mar 11 2016 Terry Wilson <twilson@redhat.com> 2015.1.2-11
- ovs_lib: Fix a race between get_port_tag_dict and port removal, rhbz#1316768
- Make object creation methods in l3_hamode_db atomic, rhbz#1281254
- Retry metadata request on connection refused error, rhbz#1252690

* Wed Mar 02 2016 John Schwarz <jschwarz@redhat.com> 2015.1.2-10
- Fix sanity check --no* BoolOpts, rhbz#1252690
- Support migrating of legacy routers to HA and back, rhbz#1292527
- Fix fetching prevent_arp_spoofing from cfg in neutron-sanity-check, rhbz#1252690

* Tue Feb 09 2016 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.2-9
- Fix floatingip status for an HA router, rhbz#1305081
- Always send status update for processed floating ips, rhbz#1305081

* Thu Jan 21 2016 Terry Wilson <twilson@redhat.com> 2015.1.2-8
- lb: avoid doing nova VIF work plumbing tap to qbr, rhbz#1300361

* Thu Jan 21 2016 Nir Magnezi <nmagnezi@redhat.com> 2015.1.2-7
- Fix L3 HA with IPv6, rhbz#1300580
- Add missing interface to populate subnets method, rhbz#1285397
- Eliminate extra queries used to retrieve gw_ports, rhbz#1285397
- Replace unnecessary call to get_sync_routers, rhbz#1285397
- Don't update port with host id of None, rhbz#1285397
- L3 DB: Defer port DB subnet lookups, rhbz#1285397

* Wed Jan 06 2016 Arie Bregman <abregman@redhat.com> 2015.1.2-6
- Kill the vrrp orphan process when (re)spawn keepalived, rhbz#1293339
- Add transaction for setting agent_id in L3HARouterAgentPortBinding, rhbz#1281254
- Skip bindings with agent_id=None, rhbz#1281254
- Add compatibility with iproute2 >= 4.0, rhbz#1292591

* Thu Dec 17 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.2-5
- Ensure netfilter is enabled for bridges, rhbz#1291621

* Tue Dec 15 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.2-4
- Start ovs-agent after network is initialized, rhbz#1277600

* Wed Dec 09 2015 Miguel Angel Ajo <mangelajo@redhat.com> 2015.1.2-3
- Provide a fallback implementation for backported TunnelTypeDriver API
- Fix pylint breakage for kilo branch
- Correct unwatch_log to support python <= 2.7.5

* Tue Nov 10 2015 Brent Eagles <beagles@redhat.com> 2015.1.2-2.el7
- Kill egg-info before build, rhbz#1280013

* Tue Nov 10 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.2-1.el7
- Update to 2015.1.2, rhbz#1274880

* Wed Oct 14 2015 Jakub Libosvar <libosvar@redhat.com> 2015.1.1-13
- Process user iptables rules before INVALID, rhbz#1269849

* Wed Oct 14 2015 Jakub Libosvar <libosvar@redhat.com> 2015.1.1-12
- Include alembic versions directory to the package, rhbz#1271215

* Wed Oct 14 2015 Miguel Angel Ajo <majopela@redhat.com> 2015.1.1-11
- Fix netns cleanup to cleanup keepalived and radvd, rhbz#1268244

* Tue Oct 13 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.1-10
- Remove egg-info in build section, rhbz#1271215

* Mon Oct 12 2015 Jakub Libosvar <libosvar@redhat.com> 2015.1.1-9
- Move ucsm migration script to Juno, rhbz#1270222

* Tue Oct 06 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-8
- The option force_metadata=True breaks the dhcp agent, rhbz#1268859

* Fri Sep 25 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-7
- Stop device_owner from being set to 'network:*', rhbz#1260495

* Tue Sep 22 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-6
- ovs: don't use ARP responder for IPv6 addresses, rhbz#1261577

* Wed Sep 16 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-5
- lb-agent: ensure tap mtu is the same as physical device, rhbz#1137057

* Wed Sep 16 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-4
- Support dhcp metadata service for all networks, rhbz#1256816
- Configure gw_iface for RAs only in Master HA Router, rhbz#1262647

* Fri Sep 11 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-3
- make -vmware subpackage depend on python-networking-vmware-nsx, rhbz#1259285

* Fri Sep 04 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-2
- Add minimal Kilo version for all Oslo libraries, rhbz#1246599

* Fri Sep 04 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.1-1
- Update to upstream 2015.1.1, rhbz#1259517

* Fri Aug 28 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.0-17
- Fixup for neutron version in egg_info, rhbz#1257270

* Thu Aug 27 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.0-16
- Added rpm release to pbr version, rhbz#1257270

* Thu Aug 27 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.0-15
- Update neutron.conf with respect to neutron-dist.conf, rhbz#1257249

* Wed Aug 26 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.0-14
- Restart ovs-agent if network is restarted, rhbz#1252951

* Wed Aug 26 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-13
- Adds garp_master_repeat and garp_master_refresh to keepalived.conf, rhbz#1215177

* Tue Jul 14 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-12
- Skip bonded ports when returning vif ports, rhbz#1241973

* Wed Jul 08 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-11
- Provide work around for 0.0.0.0/0 ::/0 for ipset, rhbz#1233450
- Fix hostname roaming for ml2 tunnel endpoints, rhbz#1232664
- Refactor type_tunnel/gre/vxlan to reduce duplicate code, rhbz#1232664
- Refactor type_gre.vxlan tests to reduce duplicate code, rhbz#1232664

* Fri Jun 26 2015 Arie Bregman <abregman@redhat.com> - 2015.1.0-10
- Add python-openvswitch requirement, rhbz#1232640

* Wed Jun 24 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-9
- Modify ipset functional tests to pass on older machines, rhbz#1230040

* Tue Jun 16 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-8
- Fix the ImportErrors in l3 and dhcp scheduler functional tests, rhbz#1231510

* Thu Jun 11 2015 Jakub Libosvar <jlibosva@redhat.com> - 2015.1.0-7
- Remove asterisk from sudo rule for rootwrap-daemon, rhbz#1230438

* Wed Jun 10 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-6
- tests: don't allow oslo.config to autodiscover config files, rhbz#1229559

* Mon Jun 08 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-5
- Don't pretend /etc/sudoers.d/neutron is a configuration file, rhbz#1228096

* Mon Jun 08 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-4
- Add a common configuration directory for user defined configuration files, rhbz#1228227

* Fri Jun 05 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-3
- Enable rootwrap daemon mode by default, rhbz#1228096

* Wed Jun 03 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2015.1.0-2
- Persist DHCP leases to a local database, rhbz#1227633

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
